org.apache.sis.metadata.iso.acquisition

## Class DefaultRequestedDate

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultRequestedDate

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, RequestedDate

      public class DefaultRequestedDate
      extends ISOMetadata
      implements RequestedDate

  Range of date validity. The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MI_RequestedDate` `├─requestedDateOfCollection……` Preferred date and time of collection. `└─latestAcceptableDate…………………` Latest date and time collection must be completed.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRequestedDate()` Constructs an initially empty requested date.
    `DefaultRequestedDate(RequestedDate object)` Constructs a new instance initialized with the values from the specified metadata object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultRequestedDate` | `castOrCopy(RequestedDate object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `Date` | `getLatestAcceptableDate()` Returns the latest date and time collection must be completed.
    `Date` | `getRequestedDateOfCollection()` Returns the preferred date and time of collection.
    `void` | `setLatestAcceptableDate(Date newValue)` Sets the latest date and time collection must be completed.
    `void` | `setRequestedDateOfCollection(Date newValue)` Sets the preferred date and time of collection.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRequestedDate

          public DefaultRequestedDate()

      Constructs an initially empty requested date.

    - #### DefaultRequestedDate

          public DefaultRequestedDate(RequestedDate object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(RequestedDate)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultRequestedDate castOrCopy(RequestedDate object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultRequestedDate`, then it is returned unchanged.
      - Otherwise a new `DefaultRequestedDate` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getRequestedDateOfCollection

          public Date getRequestedDateOfCollection()

      Returns the preferred date and time of collection.
      Specified by:
        `getRequestedDateOfCollection` in interface `RequestedDate`
      Returns:
        preferred date and time, or `null`.

    - #### setRequestedDateOfCollection

          public void setRequestedDateOfCollection(Date newValue)

      Sets the preferred date and time of collection.
      Parameters:
        `newValue` - the new requested date of collection value.

    - #### getLatestAcceptableDate

          public Date getLatestAcceptableDate()

      Returns the latest date and time collection must be completed.
      Specified by:
        `getLatestAcceptableDate` in interface `RequestedDate`
      Returns:
        latest date and time, or `null`.

    - #### setLatestAcceptableDate

          public void setLatestAcceptableDate(Date newValue)

      Sets the latest date and time collection must be completed.
      Parameters:
        `newValue` - the new latest acceptable data value.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.